/*!
 * (C) Ionic http://ionicframework.com - MIT License
 */
import AxeBuilder from "@axe-core/playwright";
import { expect } from "@playwright/test";
import { configs, test } from "../../../../utils/test/playwright/index";
configs({ directions: ['ltr'] }).forEach(({ title, config }) => {
    test.describe(title('input password toggle: a11y'), () => {
        test('should not have accessibility violations', async ({ page }) => {
            await page.setContent(`
          <main>
            <ion-input label="input" type="password">
              <ion-input-password-toggle slot="end"></ion-input-password-toggle>
            </ion-input>
          </main>
        `, config);
            const results = await new AxeBuilder({ page }).analyze();
            expect(results.violations).toEqual([]);
        });
    });
});
